Subject: Re: [EAI] UTF-8/MIME

From: Shawn Steele <[email-masked]>
Date: Mon, 23 Aug 2010 15:39:51 +0000

> Please remember that

>        -- sending UTF-8 in headers is a serious violation of
>        the mail specs (including 822/ 2822/ 5322) without
>   8BITMIME and MIME

>        -- encoded words don't work (aren't defined) without
>        MIME.

>        -- Telnet itself is defined only for NVT (US-ASCII)
>        unless options are negotiated that get to some 8bit form.
>        Option negotiation is defined only for Telnet over
>        port 23.  So one really cannot use standard Telnet to
>   send UTF-8 to port 25.

Well, that's pretty much generally ignored, though they lean toward the ACP, so I'm not sure how trivial it would be to get a UTF-8 telnet in practice.  I was thinking more towards simple script connections or something.  Adding MIME stuff makes it less simple.  It's pretty easy for an admin to write a script to send a notification for something, and the current requirement (To: & maybe a Date:) is easy enough for most people to understand.  I could not figure out what else was required without digging (sorry for not having MIME burned into my brain), but Bing finds thousands of trivial examples for ASCII messages.

It's also worth pointing out that if we said "Gee, if you get 8 bits and it's not marked, you're supposed to treat it as UTF-8, however you should not send that", that it would then conform to the set of RFCs.  In this day & age it's reasonable to remember that some systems are limited to 7 bits, but really, how many can't accept 8 bits?  The only really useful reason to require MIME just to enable 8 bits is to make sure you know the code page.  Saying that, in absense of any other declaration, that it must be UTF-8 would solve that.

> I'm in favor of these sorts of
> inquiries and excursions into what people would like to do in a
> different world for general clarification, but please take/ keep
> them off the WG list.

That's where the people are :)  But we shouldn't let this block the RFCs.

-Shawn